Subject: :ambulance: update pos.xml
Author: ILMIR
Committer: GitHub

Date Level Type Message
2019-07-19 16:04:24 INFO runbot init Init build environment
2019-07-19 16:04:24 INFO runbot checkout closest branch for it-projects-llc/misc-addons is refs/heads/12.0
2019-07-19 16:04:24 INFO runbot checkout closest branch for odoo/odoo is refs/heads/12.0
2019-07-19 16:04:24 INFO runbot checkout closest branch for it-projects-llc/web is refs/heads/12.0
2019-07-19 16:04:24 INFO runbot checkout closest branch for it-projects-llc/website-addons is refs/heads/12.0
2019-07-19 16:04:24 INFO runbot checkout closest branch for it-projects-llc/pos-addons is refs/heads/12.0
2019-07-19 16:04:24 INFO runbot checkout closest branch for it-projects-llc/l10n-addons is refs/heads/12.0
2019-07-19 16:04:24 INFO runbot checkout closest branch for it-projects-llc/access-addons is refs/heads/12.0
2019-07-19 16:04:24 INFO runbot checkout closest branch for it-projects-llc/mail-addons is refs/heads/12.0
2019-07-19 16:04:24 INFO runbot checkout closest branch for it-projects-llc/rental-addons is master
2019-07-19 16:04:24 INFO runbot checkout closest branch for it-projects-llc/website is master
2019-07-19 16:04:24 INFO runbot checkout closest branch for it-projects-llc/hr is refs/heads/12.0
2019-07-19 16:04:24 INFO runbot checkout closest branch for it-projects-llc/reporting-engine is master
2019-07-19 16:04:24 INFO runbot checkout closest branch for OCA/event is refs/heads/12.0
2019-07-19 16:04:24 INFO runbot checkout closest branch for OCA/partner-contact is refs/heads/12.0
2019-07-19 16:04:24 INFO runbot checkout modules to install: [u'pos_custom_orderline_popup']
2019-07-19 16:05:15 INFO runbot check_branch_name success
2019-07-19 16:05:18 INFO runbot test_base Test Updated and explicit modules
2019-07-19 16:05:18 INFO runbot _install_and_test DB: 01700-685-ddf48c-base, Modules: pos_custom_orderline_popup
2019-07-19 16:06:54 WARNING server odoo.models:529 _build_model_attributes The model guest.category has no _description
2019-07-19 16:06:54 WARNING server odoo.models:529 _build_model_attributes The model service.room has no _description
2019-07-19 16:06:55 WARNING server odoo.fields:2031 _setup_regular_base Field pos.order.line.service_room_id with unknown comodel_name 'service.cabinet'
2019-07-19 16:06:55 WARNING server odoo.addons.base.models.ir_module:131 apply
docutils' system message present: <system_message level="2" line="5" source="<string>" type="WARNING"><paragraph>Title overline too short.</paragraph><literal_block xml:space="preserve">===============
 Orderline Customization
===============</literal_block></system_message>
2019-07-19 16:07:01 INFO runbot pylint_script Start pylint script
2019-07-19 16:07:01 INFO runbot pylint_script No config file detected
2019-07-19 16:07:09 INFO runbot test_all Testing all modules is not configured for this repo
2019-07-19 16:07:09 INFO runbot run Start running build 01700-685-ddf48c
2019-07-19 16:08:18 WARNING server odoo.models:529 _build_model_attributes The model guest.category has no _description
2019-07-19 16:08:18 WARNING server odoo.models:529 _build_model_attributes The model service.room has no _description
2019-07-19 16:08:18 WARNING server odoo.fields:2031 _setup_regular_base Field pos.order.line.service_room_id with unknown comodel_name 'service.cabinet'
2019-07-19 16:08:19 ERROR server odoo.addons.base.models.ir_cron:110 _callback
Call from cron Procurement: run scheduler for server action #199 failed in Job #9
Traceback (most recent call last):
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/tools/safe_eval.py", line 350, in safe_eval
    return unsafe_eval(c, globals_dict, locals_dict)
  File "", line 1, in <module>
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/addons/stock/models/stock_rule.py", line 397, in run_scheduler
    self._run_scheduler_tasks(use_new_cursor=use_new_cursor, company_id=company_id)
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/addons/stock_account/models/stock.py", line 747, in _run_scheduler_tasks
    super(ProcurementGroup, self)._run_scheduler_tasks(use_new_cursor=use_new_cursor, company_id=company_id)
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/addons/stock/models/stock_rule.py", line 369, in _run_scheduler_tasks
    self.sudo()._procure_orderpoint_confirm(use_new_cursor=use_new_cursor, company_id=company_id)
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/addons/stock/models/stock_rule.py", line 512, in _procure_orderpoint_confirm
    cr.commit()
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/sql_db.py", line 148, in wrapper
    return f(self, *args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/sql_db.py", line 374, in commit
    func()
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/addons/bus/models/bus.py", line 63, in notify
    with odoo.sql_db.db_connect('postgres').cursor() as cr:
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/sql_db.py", line 657, in cursor
    return Cursor(self.__pool, self.dbname, self.dsn, serialized=serialized)
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/sql_db.py", line 171, in __init__
    self._cnx = pool.borrow(dsn)
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/sql_db.py", line 540, in _locked
    return fun(self, *args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/sql_db.py", line 603, in borrow
    raise PoolError('The Connection Pool Is Full')
psycopg2.pool.PoolError: The Connection Pool Is Full

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/addons/base/models/ir_cron.py", line 102, in _callback
    self.env['ir.actions.server'].browse(server_action_id).run()
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/addons/base/models/ir_actions.py", line 569, in run
    res = func(action, eval_context=eval_context)
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/addons/base/models/ir_actions.py", line 445, in run_action_code_multi
    safe_eval(action.sudo().code.strip(), eval_context, mode="exec", nocopy=True)  # nocopy allows to return 'action'
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/tools/safe_eval.py", line 373, in safe_eval
    pycompat.reraise(ValueError, ValueError('%s: "%s" while evaluating\n%r' % (ustr(type(e)), ustr(e), expr)), exc_info[2])
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/tools/pycompat.py", line 86, in reraise
    raise value.with_traceback(tb)
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/tools/safe_eval.py", line 350, in safe_eval
    return unsafe_eval(c, globals_dict, locals_dict)
  File "", line 1, in <module>
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/addons/stock/models/stock_rule.py", line 397, in run_scheduler
    self._run_scheduler_tasks(use_new_cursor=use_new_cursor, company_id=company_id)
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/addons/stock_account/models/stock.py", line 747, in _run_scheduler_tasks
    super(ProcurementGroup, self)._run_scheduler_tasks(use_new_cursor=use_new_cursor, company_id=company_id)
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/addons/stock/models/stock_rule.py", line 369, in _run_scheduler_tasks
    self.sudo()._procure_orderpoint_confirm(use_new_cursor=use_new_cursor, company_id=company_id)
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/addons/stock/models/stock_rule.py", line 512, in _procure_orderpoint_confirm
    cr.commit()
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/sql_db.py", line 148, in wrapper
    return f(self, *args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/sql_db.py", line 374, in commit
    func()
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/addons/bus/models/bus.py", line 63, in notify
    with odoo.sql_db.db_connect('postgres').cursor() as cr:
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/sql_db.py", line 657, in cursor
    return Cursor(self.__pool, self.dbname, self.dsn, serialized=serialized)
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/sql_db.py", line 171, in __init__
    self._cnx = pool.borrow(dsn)
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/sql_db.py", line 540, in _locked
    return fun(self, *args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/sql_db.py", line 603, in borrow
    raise PoolError('The Connection Pool Is Full')
ValueError: <class 'psycopg2.pool.PoolError'>: "The Connection Pool Is Full" while evaluating
'model.run_scheduler(True)'
2019-07-19 16:11:40 WARNING server odoo.models:529 _build_model_attributes The model guest.category has no _description
2019-07-19 16:11:40 WARNING server odoo.models:529 _build_model_attributes The model service.room has no _description
2019-07-19 16:11:40 WARNING server odoo.fields:2031 _setup_regular_base Field pos.order.line.service_room_id with unknown comodel_name 'service.cabinet'
2019-07-19 16:11:41 WARNING server odoo.models:529 _build_model_attributes The model guest.category has no _description
2019-07-19 16:11:41 WARNING server odoo.models:529 _build_model_attributes The model service.room has no _description
2019-07-19 16:11:42 WARNING server odoo.fields:2031 _setup_regular_base Field pos.order.line.service_room_id with unknown comodel_name 'service.cabinet'
2019-07-19 16:12:00 WARNING server odoo.models:529 _build_model_attributes The model guest.category has no _description
2019-07-19 16:12:00 WARNING server odoo.models:529 _build_model_attributes The model service.room has no _description
2019-07-19 16:12:01 WARNING server odoo.fields:2031 _setup_regular_base Field pos.order.line.service_room_id with unknown comodel_name 'service.cabinet'
2019-07-20 16:07:11 ERROR server odoo.addons.base.models.ir_cron:110 _callback
Call from cron Procurement: run scheduler for server action #199 failed in Job #9
Traceback (most recent call last):
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/api.py", line 1039, in get
    value = self._data[key][field][record._ids[0]]
KeyError: 4

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/fields.py", line 981, in __get__
    value = record.env.cache.get(record, self)
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/api.py", line 1041, in get
    raise CacheMiss(record, field)
odoo.exceptions.CacheMiss: ('stock.warehouse.orderpoint(4,).location_id', None)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/tools/cache.py", line 88, in lookup
    r = d[key]
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/tools/func.py", line 69, in wrapper
    return func(self, *args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/tools/lru.py", line 44, in __getitem__
    a = self.d[obj].me
KeyError: ('decimal.precision', <function DecimalPrecision.precision_get at 0x7fdf93ed8c80>, 'Product Unit of Measure')

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/tools/safe_eval.py", line 350, in safe_eval
    return unsafe_eval(c, globals_dict, locals_dict)
  File "", line 1, in <module>
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/addons/stock/models/stock_rule.py", line 397, in run_scheduler
    self._run_scheduler_tasks(use_new_cursor=use_new_cursor, company_id=company_id)
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/addons/stock_account/models/stock.py", line 747, in _run_scheduler_tasks
    super(ProcurementGroup, self)._run_scheduler_tasks(use_new_cursor=use_new_cursor, company_id=company_id)
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/addons/stock/models/stock_rule.py", line 369, in _run_scheduler_tasks
    self.sudo()._procure_orderpoint_confirm(use_new_cursor=use_new_cursor, company_id=company_id)
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/addons/stock/models/stock_rule.py", line 467, in _procure_orderpoint_confirm
    key = self._procurement_from_orderpoint_get_grouping_key([orderpoint.id])
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/addons/stock/models/stock_rule.py", line 413, in _procurement_from_orderpoint_get_grouping_key
    return orderpoints.location_id.id
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/fields.py", line 985, in __get__
    self.determine_value(record)
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/fields.py", line 1088, in determine_value
    record._prefetch_field(self)
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/models.py", line 2836, in _prefetch_field
    result = records.read([f.name for f in fs], load='_classic_write')
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/models.py", line 2774, in read
    self._read_from_database(stored, inherited)
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/models.py", line 2874, in _read_from_database
    for field in (self._fields[name] for name in field_names + inherited_field_names)
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/models.py", line 2876, in <listcomp>
    if field.base_field.store and field.base_field.column_type
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/fields.py", line 1239, in column_type
    return ('numeric', 'numeric') if self.digits is not None else \
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/fields.py", line 1246, in digits
    return self._digits(cr)
  File "<string>", line 10, in change_digit
  File "<decorator-gen-95>", line 2, in precision_get
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/tools/cache.py", line 93, in lookup
    value = d[key] = self.method(*args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/addons/decimal_precision/models/decimal_precision.py", line 20, in precision_get
    self.env.cr.execute('select digits from decimal_precision where name=%s', (application,))
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/sql_db.py", line 506, in __getattr__
    cr = self._cursor = registry(self.dbname).cursor()
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/modules/registry.py", line 470, in cursor
    return self._db.cursor()
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/sql_db.py", line 657, in cursor
    return Cursor(self.__pool, self.dbname, self.dsn, serialized=serialized)
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/sql_db.py", line 171, in __init__
    self._cnx = pool.borrow(dsn)
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/sql_db.py", line 540, in _locked
    return fun(self, *args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/sql_db.py", line 603, in borrow
    raise PoolError('The Connection Pool Is Full')
psycopg2.pool.PoolError: The Connection Pool Is Full

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/addons/base/models/ir_cron.py", line 102, in _callback
    self.env['ir.actions.server'].browse(server_action_id).run()
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/addons/base/models/ir_actions.py", line 569, in run
    res = func(action, eval_context=eval_context)
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/addons/base/models/ir_actions.py", line 445, in run_action_code_multi
    safe_eval(action.sudo().code.strip(), eval_context, mode="exec", nocopy=True)  # nocopy allows to return 'action'
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/tools/safe_eval.py", line 373, in safe_eval
    pycompat.reraise(ValueError, ValueError('%s: "%s" while evaluating\n%r' % (ustr(type(e)), ustr(e), expr)), exc_info[2])
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/tools/pycompat.py", line 86, in reraise
    raise value.with_traceback(tb)
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/tools/safe_eval.py", line 350, in safe_eval
    return unsafe_eval(c, globals_dict, locals_dict)
  File "", line 1, in <module>
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/addons/stock/models/stock_rule.py", line 397, in run_scheduler
    self._run_scheduler_tasks(use_new_cursor=use_new_cursor, company_id=company_id)
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/addons/stock_account/models/stock.py", line 747, in _run_scheduler_tasks
    super(ProcurementGroup, self)._run_scheduler_tasks(use_new_cursor=use_new_cursor, company_id=company_id)
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/addons/stock/models/stock_rule.py", line 369, in _run_scheduler_tasks
    self.sudo()._procure_orderpoint_confirm(use_new_cursor=use_new_cursor, company_id=company_id)
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/addons/stock/models/stock_rule.py", line 467, in _procure_orderpoint_confirm
    key = self._procurement_from_orderpoint_get_grouping_key([orderpoint.id])
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/addons/stock/models/stock_rule.py", line 413, in _procurement_from_orderpoint_get_grouping_key
    return orderpoints.location_id.id
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/fields.py", line 985, in __get__
    self.determine_value(record)
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/fields.py", line 1088, in determine_value
    record._prefetch_field(self)
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/models.py", line 2836, in _prefetch_field
    result = records.read([f.name for f in fs], load='_classic_write')
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/models.py", line 2774, in read
    self._read_from_database(stored, inherited)
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/models.py", line 2874, in _read_from_database
    for field in (self._fields[name] for name in field_names + inherited_field_names)
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/models.py", line 2876, in <listcomp>
    if field.base_field.store and field.base_field.column_type
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/fields.py", line 1239, in column_type
    return ('numeric', 'numeric') if self.digits is not None else \
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/fields.py", line 1246, in digits
    return self._digits(cr)
  File "<string>", line 10, in change_digit
  File "<decorator-gen-95>", line 2, in precision_get
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/tools/cache.py", line 93, in lookup
    value = d[key] = self.method(*args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/addons/decimal_precision/models/decimal_precision.py", line 20, in precision_get
    self.env.cr.execute('select digits from decimal_precision where name=%s', (application,))
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/sql_db.py", line 506, in __getattr__
    cr = self._cursor = registry(self.dbname).cursor()
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/modules/registry.py", line 470, in cursor
    return self._db.cursor()
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/sql_db.py", line 657, in cursor
    return Cursor(self.__pool, self.dbname, self.dsn, serialized=serialized)
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/sql_db.py", line 171, in __init__
    self._cnx = pool.borrow(dsn)
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/sql_db.py", line 540, in _locked
    return fun(self, *args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/sql_db.py", line 603, in borrow
    raise PoolError('The Connection Pool Is Full')
ValueError: <class 'psycopg2.pool.PoolError'>: "The Connection Pool Is Full" while evaluating
'model.run_scheduler(True)'
2019-07-21 16:07:08 ERROR server odoo.addons.base.models.ir_cron:110 _callback
Call from cron Procurement: run scheduler for server action #199 failed in Job #9
Traceback (most recent call last):
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/api.py", line 1039, in get
    value = self._data[key][field][record._ids[0]]
KeyError: 4

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/fields.py", line 981, in __get__
    value = record.env.cache.get(record, self)
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/api.py", line 1041, in get
    raise CacheMiss(record, field)
odoo.exceptions.CacheMiss: ('stock.warehouse.orderpoint(4,).location_id', None)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/tools/cache.py", line 88, in lookup
    r = d[key]
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/tools/func.py", line 69, in wrapper
    return func(self, *args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/tools/lru.py", line 44, in __getitem__
    a = self.d[obj].me
KeyError: ('decimal.precision', <function DecimalPrecision.precision_get at 0x7fdf93ed8c80>, 'Product Unit of Measure')

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/tools/safe_eval.py", line 350, in safe_eval
    return unsafe_eval(c, globals_dict, locals_dict)
  File "", line 1, in <module>
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/addons/stock/models/stock_rule.py", line 397, in run_scheduler
    self._run_scheduler_tasks(use_new_cursor=use_new_cursor, company_id=company_id)
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/addons/stock_account/models/stock.py", line 747, in _run_scheduler_tasks
    super(ProcurementGroup, self)._run_scheduler_tasks(use_new_cursor=use_new_cursor, company_id=company_id)
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/addons/stock/models/stock_rule.py", line 369, in _run_scheduler_tasks
    self.sudo()._procure_orderpoint_confirm(use_new_cursor=use_new_cursor, company_id=company_id)
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/addons/stock/models/stock_rule.py", line 467, in _procure_orderpoint_confirm
    key = self._procurement_from_orderpoint_get_grouping_key([orderpoint.id])
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/addons/stock/models/stock_rule.py", line 413, in _procurement_from_orderpoint_get_grouping_key
    return orderpoints.location_id.id
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/fields.py", line 985, in __get__
    self.determine_value(record)
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/fields.py", line 1088, in determine_value
    record._prefetch_field(self)
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/models.py", line 2836, in _prefetch_field
    result = records.read([f.name for f in fs], load='_classic_write')
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/models.py", line 2774, in read
    self._read_from_database(stored, inherited)
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/models.py", line 2874, in _read_from_database
    for field in (self._fields[name] for name in field_names + inherited_field_names)
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/models.py", line 2876, in <listcomp>
    if field.base_field.store and field.base_field.column_type
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/fields.py", line 1239, in column_type
    return ('numeric', 'numeric') if self.digits is not None else \
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/fields.py", line 1246, in digits
    return self._digits(cr)
  File "<string>", line 10, in change_digit
  File "<decorator-gen-95>", line 2, in precision_get
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/tools/cache.py", line 93, in lookup
    value = d[key] = self.method(*args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/addons/decimal_precision/models/decimal_precision.py", line 20, in precision_get
    self.env.cr.execute('select digits from decimal_precision where name=%s', (application,))
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/sql_db.py", line 506, in __getattr__
    cr = self._cursor = registry(self.dbname).cursor()
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/modules/registry.py", line 470, in cursor
    return self._db.cursor()
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/sql_db.py", line 657, in cursor
    return Cursor(self.__pool, self.dbname, self.dsn, serialized=serialized)
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/sql_db.py", line 171, in __init__
    self._cnx = pool.borrow(dsn)
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/sql_db.py", line 540, in _locked
    return fun(self, *args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/sql_db.py", line 603, in borrow
    raise PoolError('The Connection Pool Is Full')
psycopg2.pool.PoolError: The Connection Pool Is Full

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/addons/base/models/ir_cron.py", line 102, in _callback
    self.env['ir.actions.server'].browse(server_action_id).run()
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/addons/base/models/ir_actions.py", line 569, in run
    res = func(action, eval_context=eval_context)
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/addons/base/models/ir_actions.py", line 445, in run_action_code_multi
    safe_eval(action.sudo().code.strip(), eval_context, mode="exec", nocopy=True)  # nocopy allows to return 'action'
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/tools/safe_eval.py", line 373, in safe_eval
    pycompat.reraise(ValueError, ValueError('%s: "%s" while evaluating\n%r' % (ustr(type(e)), ustr(e), expr)), exc_info[2])
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/tools/pycompat.py", line 86, in reraise
    raise value.with_traceback(tb)
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/tools/safe_eval.py", line 350, in safe_eval
    return unsafe_eval(c, globals_dict, locals_dict)
  File "", line 1, in <module>
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/addons/stock/models/stock_rule.py", line 397, in run_scheduler
    self._run_scheduler_tasks(use_new_cursor=use_new_cursor, company_id=company_id)
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/addons/stock_account/models/stock.py", line 747, in _run_scheduler_tasks
    super(ProcurementGroup, self)._run_scheduler_tasks(use_new_cursor=use_new_cursor, company_id=company_id)
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/addons/stock/models/stock_rule.py", line 369, in _run_scheduler_tasks
    self.sudo()._procure_orderpoint_confirm(use_new_cursor=use_new_cursor, company_id=company_id)
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/addons/stock/models/stock_rule.py", line 467, in _procure_orderpoint_confirm
    key = self._procurement_from_orderpoint_get_grouping_key([orderpoint.id])
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/addons/stock/models/stock_rule.py", line 413, in _procurement_from_orderpoint_get_grouping_key
    return orderpoints.location_id.id
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/fields.py", line 985, in __get__
    self.determine_value(record)
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/fields.py", line 1088, in determine_value
    record._prefetch_field(self)
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/models.py", line 2836, in _prefetch_field
    result = records.read([f.name for f in fs], load='_classic_write')
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/models.py", line 2774, in read
    self._read_from_database(stored, inherited)
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/models.py", line 2874, in _read_from_database
    for field in (self._fields[name] for name in field_names + inherited_field_names)
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/models.py", line 2876, in <listcomp>
    if field.base_field.store and field.base_field.column_type
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/fields.py", line 1239, in column_type
    return ('numeric', 'numeric') if self.digits is not None else \
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/fields.py", line 1246, in digits
    return self._digits(cr)
  File "<string>", line 10, in change_digit
  File "<decorator-gen-95>", line 2, in precision_get
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/tools/cache.py", line 93, in lookup
    value = d[key] = self.method(*args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/addons/decimal_precision/models/decimal_precision.py", line 20, in precision_get
    self.env.cr.execute('select digits from decimal_precision where name=%s', (application,))
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/sql_db.py", line 506, in __getattr__
    cr = self._cursor = registry(self.dbname).cursor()
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/modules/registry.py", line 470, in cursor
    return self._db.cursor()
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/sql_db.py", line 657, in cursor
    return Cursor(self.__pool, self.dbname, self.dsn, serialized=serialized)
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/sql_db.py", line 171, in __init__
    self._cnx = pool.borrow(dsn)
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/sql_db.py", line 540, in _locked
    return fun(self, *args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/01700-685-ddf48c/odoo/sql_db.py", line 603, in borrow
    raise PoolError('The Connection Pool Is Full')
ValueError: <class 'psycopg2.pool.PoolError'>: "The Connection Pool Is Full" while evaluating
'model.run_scheduler(True)'
2019-07-21 16:07:08 WARNING server odoo.sql_db:210 __del__
Cursor not closed explicitly
Please enable sql debugging to trace the caller.
2019-07-22 09:38:02 INFO runbot kill Kill build 01700-685-ddf48c